dp14txss: IDT_8T49N24x

| dp14txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
IDT_8T49N24x

## Macros
#define | IDT_8T49N24X_REVID 0x0
| Device Revision. More...
#define | IDT_8T49N24X_DEVID 0x0607
| Device ID Code. More...
#define | IDT_8T49N24X_XTAL_FREQ 40000000
| The frequency of the crystal in Hz. More...
#define | IDT_8T49N24X_FVCO_MAX 4000000000
| Maximum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FVCO_MIN 3000000000
| Minimum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MAX 400000000
| Maximum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MIN 8000
| Minimum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MAX 875000000
| Maximum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MIN 8000
| Minimum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MAX 128000
| Maximum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MIN 8000
| Minimum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_P_MAX pow(2,22)
| Maximum P divider value. More...
#define | IDT_8T49N24X_M_MAX pow(2,24)
| Maximum M multiplier value. More...
#define | IDT_8T49N24X_REVID 0x0
| Device Revision. More...
#define | IDT_8T49N24X_DEVID 0x0607
| Device ID Code. More...
#define | IDT_8T49N24X_XTAL_FREQ 40000000
| The frequency of the crystal in Hz. More...
#define | IDT_8T49N24X_FVCO_MAX 4000000000
| Maximum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FVCO_MIN 3000000000
| Minimum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MAX 400000000
| Maximum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MIN 8000
| Minimum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MAX 875000000
| Maximum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MIN 8000
| Minimum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MAX 128000
| Maximum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MIN 8000
| Minimum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_P_MAX pow(2,22)
| Maximum P divider value. More...
#define | IDT_8T49N24X_M_MAX pow(2,24)
| Maximum M multiplier value. More...
#define | IDT_8T49N24X_REVID 0x0
| Device Revision. More...
#define | IDT_8T49N24X_DEVID 0x0607
| Device ID Code. More...
#define | IDT_8T49N24X_XTAL_FREQ 40000000
| The frequency of the crystal in Hz. More...
#define | IDT_8T49N24X_FVCO_MAX 4000000000
| Maximum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FVCO_MIN 3000000000
| Minimum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MAX 400000000
| Maximum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MIN 8000
| Minimum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MAX 875000000
| Maximum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MIN 8000
| Minimum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MAX 128000
| Maximum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MIN 8000
| Minimum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_P_MAX pow(2,22)
| Maximum P divider value. More...
#define | IDT_8T49N24X_M_MAX pow(2,24)
| Maximum M multiplier value. More...
#define | IDT_8T49N24X_REVID 0x0
| Device Revision. More...
#define | IDT_8T49N24X_DEVID 0x0607
| Device ID Code. More...
#define | IDT_8T49N24X_XTAL_FREQ 40000000
| The frequency of the crystal in Hz. More...
#define | IDT_8T49N24X_FVCO_MAX 4000000000
| Maximum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FVCO_MIN 3000000000
| Minimum VCO Operating Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MAX 400000000
| Maximum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FOUT_MIN 8000
| Minimum Output Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MAX 875000000
| Maximum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FIN_MIN 8000
| Minimum Input Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MAX 128000
| Maximum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_FPD_MIN 8000
| Minimum Phase Detector Frequency in Hz. More...
#define | IDT_8T49N24X_P_MAX pow(2,22)
| Maximum P divider value. More...
#define | IDT_8T49N24X_M_MAX pow(2,24)
| Maximum M multiplier value. More...

## Functions
int | IDT_8T49N24x_SetClock (u32 I2CBaseAddress, u8 I2CSlaveAddress, int FIn, int FOut, u8 FreeRun)
| This function calculates and sets the IDT 8TN49N24x device with the given clock configuration. More...
int | IDT_8T49N24x_Init (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function initializes the IDT 8TN49N24x with default values for use with the Video FMC. More...
void | IDT_8T49N24x_RegisterDump (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function displays a registerdump of the IDT 8TN49N24x device. More...
int | IDT_8T49N24x_SetGPOut (u32 I2CBaseAddress, u8 I2CSlaveAddress, u8 PortID, u8 Set)
| This function set the GPIO outputs. More...

## Macro Definition Documentation

#define IDT_8T49N24X_DEVID 0x0607

Device ID Code.

#define IDT_8T49N24X_DEVID 0x0607

Device ID Code.

#define IDT_8T49N24X_DEVID 0x0607

Device ID Code.

#define IDT_8T49N24X_DEVID 0x0607

Device ID Code.

#define IDT_8T49N24X_FIN_MAX 875000000

Maximum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MAX 875000000

Maximum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MAX 875000000

Maximum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MAX 875000000

Maximum Input Frequency in Hz.

Referenced by IDT_8T49N24x_SetClock().

#define IDT_8T49N24X_FIN_MIN 8000

Minimum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MIN 8000

Minimum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MIN 8000

Minimum Input Frequency in Hz.

#define IDT_8T49N24X_FIN_MIN 8000

Minimum Input Frequency in Hz.

Referenced by IDT_8T49N24x_SetClock().

#define IDT_8T49N24X_FOUT_MAX 400000000

Maximum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MAX 400000000

Maximum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MAX 400000000

Maximum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MAX 400000000

Maximum Output Frequency in Hz.

Referenced by IDT_8T49N24x_SetClock().

#define IDT_8T49N24X_FOUT_MIN 8000

Minimum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MIN 8000

Minimum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MIN 8000

Minimum Output Frequency in Hz.

#define IDT_8T49N24X_FOUT_MIN 8000

Minimum Output Frequency in Hz.

Referenced by IDT_8T49N24x_SetClock().

#define IDT_8T49N24X_FPD_MAX 128000

Maximum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MAX 128000

Maximum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MAX 128000

Maximum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MAX 128000

Maximum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MIN 8000

Minimum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MIN 8000

Minimum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MIN 8000

Minimum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FPD_MIN 8000

Minimum Phase Detector Frequency in Hz.

#define IDT_8T49N24X_FVCO_MAX 4000000000

Maximum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MAX 4000000000

Maximum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MAX 4000000000

Maximum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MAX 4000000000

Maximum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MIN 3000000000

Minimum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MIN 3000000000

Minimum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MIN 3000000000

Minimum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_FVCO_MIN 3000000000

Minimum VCO Operating Frequency in Hz.

#define IDT_8T49N24X_M_MAX pow(2,24)

Maximum M multiplier value.

#define IDT_8T49N24X_M_MAX pow(2,24)

Maximum M multiplier value.

#define IDT_8T49N24X_M_MAX pow(2,24)

Maximum M multiplier value.

#define IDT_8T49N24X_M_MAX pow(2,24)

Maximum M multiplier value.

#define IDT_8T49N24X_P_MAX pow(2,22)

Maximum P divider value.

#define IDT_8T49N24X_P_MAX pow(2,22)

Maximum P divider value.

#define IDT_8T49N24X_P_MAX pow(2,22)

Maximum P divider value.

#define IDT_8T49N24X_P_MAX pow(2,22)

Maximum P divider value.

#define IDT_8T49N24X_REVID 0x0

Device Revision.

#define IDT_8T49N24X_REVID 0x0

Device Revision.

#define IDT_8T49N24X_REVID 0x0

Device Revision.

#define IDT_8T49N24X_REVID 0x0

Device Revision.

#define IDT_8T49N24X_XTAL_FREQ 40000000

The frequency of the crystal in Hz.

#define IDT_8T49N24X_XTAL_FREQ 40000000

The frequency of the crystal in Hz.

#define IDT_8T49N24X_XTAL_FREQ 40000000

The frequency of the crystal in Hz.

#define IDT_8T49N24X_XTAL_FREQ 40000000

The frequency of the crystal in Hz.

## Function Documentation

int IDT_8T49N24x_Init | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function initializes the IDT 8TN49N24x with default values for use with the Video FMC.

This function set the GPIO outputs.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function set the input reference

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function set the output drivers

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function sets the lock mode

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function initializes the IDT 8TN49N24x with default values for use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Referenced by VideoFMC_Init().

void IDT_8T49N24x_RegisterDump | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function displays a registerdump of the IDT 8TN49N24x device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  None

Note
  None.

int IDT_8T49N24x_SetClock | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | int | FIn,
|  | int | FOut,
|  | u8 | FreeRun
| ) |  |

This function calculates and sets the IDT 8TN49N24x device with the given clock configuration.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  FIn | specifies the input frequency.
  FOut | specifies the output frequency.
  FreeRun | specifies if the operation mode is locked/synthesizer mode. TRUE Synthesizer mode (Fout only) FALSE Locked mode (Fout locked to Fin)

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error or incorrect parameters detected.

Note

int IDT_8T49N24x_SetGPOut | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | u8 | PortID,
|  | u8 | Set
| ) |  |

This function set the GPIO outputs.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function set the input reference

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function set the output drivers

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.

This function sets the lock mode

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS
  - XST_FAILURE

Note
  None.